This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 180149 - Review Request: edje: A complex graphical design and layout library
Review Request: edje: A complex graphical design and layout library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Iseli
Fedora Package Reviews List
:
Depends On: 180052 180058 180102
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-06 05:34 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 13:51:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-02-06 05:34:50 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/edje.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/edje-0.5.0.023-1.src.rpm
Description: Edje is a complex graphical design & layout library. Its purpose is to be a sequel to "Ebits" which to date has serviced the needs of Enlightenment development for version 0.17. The original design parameters under which Ebits came about were a lot more restricted than the resulting use of them, thus Edje was born.
Comment 1 Jason Tibbitts 2006-02-06 15:19:22 EST
Why does bug 180056 (system-config-httpd references obsolete module names) block
this?
Comment 2 Ignacio Vazquez-Abrams 2006-02-06 20:10:15 EST
Because I'm blind.
Comment 3 Ignacio Vazquez-Abrams 2006-04-18 12:42:22 EDT
Updated.

http://fedora.ivazquez.net/files/extras/edje-0.5.0.026-1.src.rpm
Comment 4 Christian Iseli 2006-04-20 18:02:21 EDT
Good:
- rpmlint is ok
- name ok
- spec name ok
- packaging guidelines met
- license ok
- license matches actual license in package
- license file in %doc
- spec file in American English and legible
- source matches upstream
- builds, installs, runs, and uninstalls cleanly
- BuildRequires ok
- no locale to worry about
- shared libs ok
- -devel package ok
- no relocation to worry about
- no duplicated files
- files perms ok
- clean section ok
- macro useage ok
- package contains code
- no large doc
- %doc is only doc
- builds in mock

My machines here still run FC4, so I didn't check if the code actualy runs...
but I'll trust you on this one.

Why the empty %doc in the devel package ?

I think %{_datadir}/%{name}/ is more explicit than %{_datadir}/%{name}
but that's a matter of taste I guess...

rpmlint says:
E: edje non-executable-script /usr/share/edje/data/template/build_theme.sh 0644
E: edje non-executable-script /usr/share/edje/data/e_logo.sh 0644

W: edje-devel no-documentation

which I think can be ignored.

APPROVED.
Comment 5 Ignacio Vazquez-Abrams 2006-04-27 13:51:41 EDT
Built on FC5 and devel.

Note You need to log in before you can comment on or make changes to this bug.